class_name MapEditorMenu extends VBoxContainer

##
## [code]edit_action[/code] has been activated for use when the player interacts with the map
## editor.
##
signal edit_activated(edit_action: Callable)

##
## Emits [signal edit_activated].
##
func activate_editor(edit_action: Callable) -> void:
	edit_activated.emit(edit_action)

##
## Resets the state of the menu.
##
func reset() -> void:
	pass
